
Core - Task # 55416

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54267 (Resolved): As an Editor I want to use a FAL withouth bugs

Status: Resolved Priority: Must have
Author: Lorenz Ulrich Category: File Abstraction Layer (FAL)
Created: 2014-01-29 Assigned To:
Updated: 2014-02-06 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Accessing the root folder of a file mount is not possible for non-admins
Description

The change "[!!!][TASK] Driver API has too many crosscutting concerns" commit:f83eddd5027b74d7f4d28a845521bff3b2dd603d
breaks filemounts for non-admins (or changes the configuration needed?). After this change, a non-admin cannot access the root
folder of a filemount. Sub-folders of a filemount work.

The error message is: "You are not allowed to access the given folder."

Related issues:
related to Core - Task # 54230: Refactor Driver API Resolved 2013-12-06 2013-12-31
related to Core - Task # 54231: The Driver Registry should check for the impl... Resolved 2014-01-01 2014-01-01
related to Core - Bug # 55740: Storage root folders not accessible by filemounts Resolved 2014-02-06

Associated revisions
Revision 2015d65f - 2014-01-31 10:16 - Alexander Stehlik

[BUGFIX] Allow access to filemount directories

Currently a backend user can only access files within filemounts
but not the filemount directory itself.

After that fix LocalDriver::isWithin returns true, if the folder
itself is requested.

Resolves: #55416
Releases: 6.2
Change-Id: I455664359ec620c413bfc01787bda8766462fbab
Reviewed-on: https://review.typo3.org/27120
Reviewed-by: Ingo Schmitt
Tested-by: Ingo Schmitt
Reviewed-by: Wouter Wolters
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2014-01-29 10:10 - Michiel Roos
https://review.typo3.org/27120


Confirmed!

#2 - 2014-01-29 10:11 - Ernesto Baschny
- Target version set to 6.2.0
- Parent task set to #54267

#3 - 2014-01-29 11:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27120

#4 - 2014-01-29 11:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27120

#5 - 2014-01-29 11:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27120

#6 - 2014-01-29 14:38 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27120

#7 - 2014-01-29 19:11 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27120

#8 - 2014-01-30 13:48 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27120

#9 - 2014-01-30 16:08 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27120

#10 - 2014-01-31 10:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2015d65fcca95202766ffc2734235c0b6c8c5cd6.

#11 - 2014-02-06 14:58 - Markus Kasten

Since the patch was committed, non-admin users can't access files in filemounts that are using the folder of a filestorage. Filemounts using a subfolder
of a filestorage are accessible for non-admin users.

I have a filemount "fileadmin-all" that is using the fileadmin storage and the root folder "/". When the filemount uses for example "/test/" as the folder,
everythings seems to work fine.

When reverting commit commit:2015d65fcca95202766ffc2734235c0b6c8c5cd6, everything (from my point of view) is working fine again.

Can this behaviour be confirmed? Tested with latest master (commit:179675e1f442cf75babe7a921bc874cc714b0ec6) and beta5.

#12 - 2014-02-06 15:42 - Alexander Stehlik

You're right. The root folder is only accessible in read-only mode when I apply the patch. Really strange.

#13 - 2014-02-06 16:32 - Alexander Stehlik

@Markus: Can you please test and review #55740?

#14 - 2014-02-06 16:50 - Markus Kasten

The patch in #55740 seems to fix the problem for me.
